<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: managedBean (extends AbstractPDQPDC)
           inserts: visitDetails -->
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="patientDetailsModalPanel"/>
        <ui:define name="popup_title">#{messages['gazelle.simulator.pam.PatientDetails']}</ui:define>
        <s:div id="detailContent">
            <h:outputText value="#{messages['gazelle.simulator.pam.NoPatientSelected']}"
                          rendered="#{managedBean.selectedPatient == null}"
                          styleClass="gzl-alert gzl-alert-red"/>
            <s:div rendered="#{managedBean.selectedPatient != null}">
                <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                    <ui:param name="patient" value="#{managedBean.selectedPatient}"/>
                    <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                </ui:include>
                <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                    <ui:param name="patient" value="#{managedBean.selectedPatient}"/>
                    <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                </ui:include>
                <ui:include src="/patient/showPatientExtraInfo.xhtml">
                    <ui:param name="patient" value="#{managedBean.selectedPatient}"/>
                </ui:include>
                <dl>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.PatientsIdentifiers']}</ui:define>
                        <rich:list value="#{managedBean.selectedPatient.patientIdentifiers}" var="pid" type="unordered">
                            <h:outputText value="#{pid.fullPatientId} (#{pid.identifierTypeCode})"/>
                        </rich:list>
                    </s:decorate>
                </dl>
                <ui:insert name="tab4Visit"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton actionListener="#{managedBean.setSelectedPatient(null)}"
                               oncomplete="jq162('#patientDetailsModalPanel').modal('hide')" render="messageList"
                               styleClass="gzl-btn"
                               value="#{messages['gazelle.simulator.ClickHereToCloseThisWindow']}"/>
        </ui:define>
    </ui:decorate>
</ui:composition>
